# pion::BadAssertException Class Reference

`#include <PionException.hpp>`

Inherits pion::PionException.

List of all members.

## Detailed Description

BadAssertException: exception thrown if an assertion (PION_ASSERT) fails

Definition at line 56 of file PionException.hpp.

## Public Member Functions

| BadAssertException (const std::string &file, unsigned long line)

The documentation for this class was generated from the following file:

- common/include/pion/PionException.hpp